/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v9.0
processor: S32K344
package_id: S32K344_257BGA
mcu_data: PlatformSDK_S32K3_2021_03
processor_version: 0.0.0
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "Siul2_Port_Ip_Cfg.h"

/* clang-format off */

/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: core0}
- pin_list:
  - {pin_num: M15, peripheral: FlexCAN_0, signal: rxd, pin_signal: PTA6}
  - {pin_num: M16, peripheral: FlexCAN_0, signal: txd, pin_signal: PTA7}
  - {pin_num: T13, peripheral: SIUL2, signal: 'gpio, 84', pin_signal: PTC20, direction: OUTPUT}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/*! @brief Array of pin configuration structures */
Siul2_Port_Ip_PinSettingsConfig g_pin_mux_InitConfigArr0[NUM_OF_CONFIGURED_PINS0] =
{
    {
        .base                        = SIUL2,
        .pinPortIdx                  = 6u,
        .mux                         = PORT_MUX_AS_GPIO,
        .safeMode                    = PORT_SAFE_MODE_DISABLED,
        .inputFilter                 = PORT_INPUT_FILTER_DISABLED,
        .driveStrength               = PORT_DRIVE_STRENTGTH_DISABLED,
        .pullConfig                  = PORT_INTERNAL_PULL_NOT_ENABLED,
        .slewRateCtrlSel             = PORT_SLEW_RATE_FASTEST,
        .pullKeep                    = PORT_PULL_KEEP_DISABLED,
        .invert                      = PORT_INVERT_DISABLED,
        .inputBuffer                 = PORT_INPUT_BUFFER_ENABLED,
        .outputBuffer                = PORT_OUTPUT_BUFFER_DISABLED,
        .inputMux[0]                 = PORT_INPUT_MUX_ALT2,
        .inputMuxReg[0]              = 0u,
        .inputMux[1]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[2]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[3]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[4]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[5]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[6]                 = PORT_INPUT_MUX_NO_INIT,
        .inputMux[7]                 = PORT_INPUT_MUX_NO_INIT,
    },
    {
        .base                        = SIUL2,
        .pinPortIdx                  = 7u,
        .mux                         = PORT_MUX_ALT4,
        .safeMode                    = PORT_SAFE_MODE_DISABLED,
        .inputFilter                 = PORT_INPUT_FILTER_DISABLED,
        .driveStrength               = PORT_DRIVE_STRENTGTH_DISABLED,
        .pullConfig                  = PORT_INTERNAL_PULL_NOT_ENABLED,
        .slewRateCtrlSel             = PORT_SLEW_RATE_FASTEST,
        .pullKeep                    = PORT_PULL_KEEP_DISABLED,
        .invert                      = PORT_INVERT_DISABLED,
        .inputBuffer                 = PORT_INPUT_BUFFER_DISABLED,
        .outputBuffer                = PORT_OUTPUT_BUFFER_ENABLED,
    },
    {
        .base                        = SIUL2,
        .pinPortIdx                  = 84u,
        .mux                         = PORT_MUX_AS_GPIO,
        .safeMode                    = PORT_SAFE_MODE_DISABLED,
        .inputFilter                 = PORT_INPUT_FILTER_DISABLED,
        .driveStrength               = PORT_DRIVE_STRENTGTH_DISABLED,
        .pullConfig                  = PORT_INTERNAL_PULL_NOT_ENABLED,
        .slewRateCtrlSel             = PORT_SLEW_RATE_FASTEST,
        .pullKeep                    = PORT_PULL_KEEP_DISABLED,
        .invert                      = PORT_INVERT_DISABLED,
        .inputBuffer                 = PORT_INPUT_BUFFER_DISABLED,
        .outputBuffer                = PORT_OUTPUT_BUFFER_ENABLED,
        .initValue                   = 0u
    },
};

